import React, { ReactNode } from 'react';
import { BaseProps } from '../types';
/**
 * An avatar component represents an object or entity
 */
declare type AvatarSizes = 'large' | 'medium' | 'small' | 'x-small';
interface Props extends BaseProps {
    src?: string;
    initials?: string;
    icon?: ReactNode;
    size?: AvatarSizes;
}
declare const Avatar: React.FC<Props>;
export default Avatar;
